-- phpMyAdmin SQL Dump
-- version 2.11.4
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 08-04-2008 a las 11:53:08
-- Versión del servidor: 5.0.51
-- Versión de PHP: 5.2.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Base de datos: `blueMall`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `application`
--

CREATE TABLE IF NOT EXISTS `application` (
  `name` varchar(255) collate utf8_spanish_ci NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `application`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `device`
--

CREATE TABLE IF NOT EXISTS `device` (
  `name` varchar(255) collate utf8_spanish_ci NOT NULL,
  `mac` varchar(255) collate utf8_spanish_ci NOT NULL,
  `lastVisit` int(12) NOT NULL,
  PRIMARY KEY  (`mac`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `device`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `employeeDispositive`
--

CREATE TABLE IF NOT EXISTS `employeeDispositive` (
  `name` varchar(255) collate utf8_spanish_ci NOT NULL,
  `employment` varchar(255) collate utf8_spanish_ci NOT NULL,
  `mac` varchar(255) collate utf8_spanish_ci NOT NULL,
  `startTime` time NOT NULL,
  `endTime` time NOT NULL,
  PRIMARY KEY  (`mac`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `employeeDispositive`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `generalAd`
--

CREATE TABLE IF NOT EXISTS `generalAd` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `description` varchar(255) collate utf8_spanish_ci NOT NULL,
  `image` varchar(255) collate utf8_spanish_ci default NULL,
  `application` varchar(255) collate utf8_spanish_ci default NULL,
  `startDate` date NOT NULL,
  `endDate` date NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `generalAd`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `image`
--

CREATE TABLE IF NOT EXISTS `image` (
  `name` varchar(255) collate utf8_spanish_ci NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci COMMENT='Ad''s image';

--
-- Volcar la base de datos para la tabla `image`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sentGeneralAd`
--

CREATE TABLE IF NOT EXISTS `sentGeneralAd` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `advertisement` int(12) unsigned NOT NULL,
  `device` varchar(255) collate utf8_spanish_ci NOT NULL,
  `sendDate` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `sentGeneralAd`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sentSpecificAd`
--

CREATE TABLE IF NOT EXISTS `sentSpecificAd` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `advertisement` int(12) unsigned NOT NULL,
  `device` varchar(255) collate utf8_spanish_ci NOT NULL,
  `sendDate` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `sentSpecificAd`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `service`
--

CREATE TABLE IF NOT EXISTS `service` (
  `device` varchar(255) collate utf8_spanish_ci NOT NULL,
  `route` varchar(255) collate utf8_spanish_ci NOT NULL,
  PRIMARY KEY  (`device`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `service`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `specificAd`
--

CREATE TABLE IF NOT EXISTS `specificAd` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `description` varchar(255) collate utf8_spanish_ci NOT NULL,
  `store` varchar(255) collate utf8_spanish_ci NOT NULL,
  `image` varchar(255) collate utf8_spanish_ci default NULL,
  `application` varchar(255) collate utf8_spanish_ci default NULL,
  `startDate` date NOT NULL,
  `endDate` date NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `specificAd`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `store`
--

CREATE TABLE IF NOT EXISTS `store` (
  `name` varchar(255) collate utf8_spanish_ci NOT NULL,
  `zone` int(12) unsigned NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `store`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `visit`
--

CREATE TABLE IF NOT EXISTS `visit` (
  `id` int(12) unsigned NOT NULL auto_increment,
  `device` varchar(255) collate utf8_spanish_ci NOT NULL,
  `zone` int(12) unsigned NOT NULL,
  `visitDate` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `visit`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `zone`
--

CREATE TABLE IF NOT EXISTS `zone` (
  `id` int(12) unsigned NOT NULL,
  `description` text collate utf8_spanish_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `zone`
--

